Download it now!
Bug 138307 - FILEOPEN: Calc chart embedded basic custom shape text missing (ODF import)
Summary: FILEOPEN: Calc chart embedded basic custom shape text missing (ODF import)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2
Keywords: bibisectRequest, filter:odf, regression
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2020-11-18 11:00 UTC by NISZ LibreOffice Team
Modified: 2020-12-30 10:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
The original file saved by Calc (14.55 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-11-18 11:15 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-11-18 11:00:48 UTC
Description:
Chart embedded basic custom shape text missing after save and reload (ODF import)

Steps to Reproduce:
1. Open Calc
2. Insert a simple chart
3. Embed a basic shape in the chart
4. Add a custom shape text
5. Exit from the chart
6. Save the spreedsheet (choose ODF spreedsheet file type)
7. Reload the spreedsheet

Actual Results:
Basic custom shape text is missing

Expected Results:
Basic custom shape text remains


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha1+ (x64)
Build ID: 312a33b7636334f6ce3b6d1702bc5d3e45215601
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded
Comment 1 NISZ LibreOffice Team 2020-11-18 11:15:14 UTC
Created attachment 167386 [details]
The original file saved by Calc
Comment 2 Commit Notification 2020-11-27 12:10:01 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/71b66b0039819f38c935b4eb5d5951ceaf6e8468

tdf#138307 Chart import: fix lost custom shape text

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-11-30 11:34:02 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/1aacd856ab0cf7217e2435c2e8c84d2e00963cb2

tdf#138307 Chart import: fix lost custom shape text

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 NISZ LibreOffice Team 2020-12-30 10:41:29 UTC
Verified in:

Version: 7.2.0.0.alpha0+ (x64)
Build ID: 368c56144aab5794c39d5bc2082d9b3d6d7cebdb
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded

Thanks for fixing!